# Uses of Interface
net.shibboleth.shared.security.AccessControlService

Packages that use AccessControlService
Package
Description
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.service.security.impl
Security-related service implementation classes.

## Uses of AccessControlService in net.shibboleth.shared.security.impl

Classes in net.shibboleth.shared.security.impl that implement AccessControlService
Modifier and Type
Class
Description
`class`
`BasicAccessControlService`
Simple implementation that uses an in-memory map of policies.

## Uses of AccessControlService in net.shibboleth.shared.service.security.impl

Classes in net.shibboleth.shared.service.security.impl that implement AccessControlService
Modifier and Type
Class
Description
`class`
`DelegatingAccessControlService`
This class uses the `ReloadableService` concept to implement `AccessControlService` to hide the details of pinning and unpinning the underlying service.
`class`
`ReloadingAccessControlService`
This class wraps an `AccessControlService` in a `ServiceableComponent`.
`class`
`ServiceableAccessControlService`
This class wraps an `AccessControlService` in a `ServiceableComponent`.
Fields in net.shibboleth.shared.service.security.impl declared as AccessControlService
Modifier and Type
Field
Description
`private final AccessControlService`
ReloadingAccessControlService.`service`
The embedded service.
`private final AccessControlService`
ServiceableAccessControlService.`service`
The embedded service.
Fields in net.shibboleth.shared.service.security.impl with type parameters of type AccessControlService
Modifier and Type
Field
Description
`private final ReloadableService<AccessControlService>`
DelegatingAccessControlService.`service`
The service which manages the reloading.
Methods in net.shibboleth.shared.service.security.impl that return AccessControlService
Modifier and Type
Method
Description
`AccessControlService`
ReloadingAccessControlService.`getComponent()`
Extract the component that does the actual work.
`AccessControlService`
ServiceableAccessControlService.`getComponent()`
Extract the component that does the actual work.
Constructors in net.shibboleth.shared.service.security.impl with parameters of type AccessControlService
Modifier
Constructor
Description
``
`ReloadingAccessControlService(AccessControlService svc)`
Constructor.
``
`ServiceableAccessControlService(AccessControlService svc)`
Constructor.
Constructor parameters in net.shibboleth.shared.service.security.impl with type arguments of type AccessControlService
Modifier
Constructor
Description
``
`DelegatingAccessControlService(ReloadableService<AccessControlService> acService)`
Constructor.